### Enumeration

# GLib UriHideFlags

since: 2.66

#### Declaration

    flags GLib.UriHideFlags

#### Description [src]

Flags describing what parts of the URI to hide in g_uri_to_string_partial(). Note that `G_URI_HIDE_PASSWORD` and `G_URI_HIDE_AUTH_PARAMS` will only work if the `GUri` was parsed with the corresponding flags.

Available since: 2.66

#### Members

Name | Description
--- | ---
`G_URI_HIDE_NONE` | No flags set.
`G_URI_HIDE_USERINFO` | Hide the userinfo.
`G_URI_HIDE_PASSWORD` | Hide the password.
`G_URI_HIDE_AUTH_PARAMS` | Hide the auth_params.
`G_URI_HIDE_QUERY` | Hide the query.
`G_URI_HIDE_FRAGMENT` | Hide the fragment.